Skip to main content
POST
Add a new automation rule

Authorizations

api_access_token
string
header
required

Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.

Path Parameters

account_id
integer
required

The numeric ID of the account

Body

application/json
name
string

Rule name

Example:

"Add label on message create event"

description
string

The description about the automation and actions

Example:

"Add label support and sales on message create event if incoming message content contains text help"

event_name
enum<string>

The event when you want to execute the automation actions

Available options:
conversation_created,
conversation_updated,
conversation_resolved,
message_created
Example:

"message_created"

active
boolean

Enable/disable automation rule

actions
object[]

Array of actions which you want to perform when condition matches, e.g add label support if message contains content help.

conditions
object[]

Array of conditions on which conversation filter would work, e.g message content contains text help.

Response

Success

payload
object